//-------------------- Copyright (C) 2009 by Geoffrey Prewett -----------------
#ifndef CPLUSPLUS_PARSER_H
#define CPLUSPLUS_PARSER_H

#include "Parser.h"

class CPlusPlusParser : public Parser
{
 public:
    CPlusPlusParser(Namespace& ns, Graph& g, const char *filename)
	: Parser(ns, g, filename)
	{};

 protected:
    virtual bool parseLine(ScopedNames& scope, TokenArray& tokens, Mode mode);
    virtual bool isObjDereference(const std::string& token)
	{ return (token == "." || token == "->"); }

 private:
};

#endif // CPLUSPLUS_PARSER_H
