//-------------------- Copyright (C) 2009 by Geoffrey Prewett -----------------
#ifndef GRAPH_PARSE_OUTPUT_H
#define GRAPH_PARSE_OUTOUT_H

#include "ParseOutput.h"
#include "Graph.h"

class GraphParseOutput : public ParseOutput
{
 public:
    GraphParseOutput(Graph& g)
	: _graph(g)
	{}

    virtual void functionCall(const std::string& caller,
                              const std::string& callee, bool callThru,
			      const std::string& t)
    {
	if (callThru) // func1().func2()
	    _graph.add(caller, callee, "[style=dotted]");
	else
	    _graph.add(caller, callee, "");
    }

 private:
    Graph& _graph;
};

#endif // GRAPH_PARSE_OUTOUT_H
