//-------------------- Copyright (C) 2009 by Geoffrey Prewett -----------------
#include "ParserFactory.h"
#include "Namespace.h"
#include "ParseOutput.h"
#include "JavaParser.h"

#include <string>

using namespace std;

Parser* ParserFactory::create(const char *filename, Namespace &ns,
			     ParseOutput &o)
{
    string file(filename);
    string type = file.substr(file.rfind(".") + 1);

    if (type == "java")
        return new JavaParser(ns, o, filename);

    return NULL;
}
